import * as React from 'react';
export interface IMessageBarProps extends React.HTMLProps<HTMLElement> {
    /**
     * The type of MessageBar to render.
     * @defaultvalue MessageBarType.info
     */
    messageBarType?: MessageBarType;
    /**
     * The actions you want to show on the other side.
     */
    actions?: JSX.Element;
    /**
     * A description of the messageBar for the benefit of screen readers.
     */
    ariaLabel?: string;
}
export declare enum MessageBarType {
    /** Info styled MessageBar */
    info = 0,
    /** Error styled MessageBar */
    error = 1,
    /** Remove styled MessageBar */
    remove = 2,
    /** SeverWarning styled MessageBar */
    severeWarning = 3,
    /** Success styled MessageBar */
    success = 4,
    /** Warning styled MessageBar */
    warning = 5,
}
