module.exports = "import * as React from 'react';\n\nexport interface IMessageBarProps extends React.HTMLProps<HTMLElement> {\n\n  /**\n   * The type of MessageBar to render.\n   * @defaultvalue MessageBarType.info\n   */\n  messageBarType?: MessageBarType;\n\n  /**\n   * The actions you want to show on the other side.\n   */\n  actions?: JSX.Element;\n\n  /**\n   * A description of the messageBar for the benefit of screen readers.\n   */\n  ariaLabel?: string;\n}\n\nexport enum MessageBarType {\n  /** Info styled MessageBar */\n  info,\n  /** Error styled MessageBar */\n  error,\n  /** Remove styled MessageBar */\n  remove,\n  /** SeverWarning styled MessageBar */\n  severeWarning,\n  /** Success styled MessageBar */\n  success,\n  /** Warning styled MessageBar */\n  warning\n}\n";